"use strict";

ASSISTS["CHAPTER3"] = {};

// a non-object routine to help set up and manage water levels
// in the forest shrine
ASSISTS["CHAPTER3"]["Shrine3Water"] = function(reset){
	if (reset || typeof(GLOBAL_SCRATCHPAD.check("SHRINE3_RESERVOIR1"))==="undefined"){
		GLOBAL_SCRATCHPAD.note("SHRINE3_RESERVOIR1",2);
		GLOBAL_SCRATCHPAD.persist("SHRINE3_RESERVOIR1");
	}
	if (reset || typeof(GLOBAL_SCRATCHPAD.check("SHRINE3_RESERVOIR2"))==="undefined"){
		GLOBAL_SCRATCHPAD.note("SHRINE3_RESERVOIR2",4);
		GLOBAL_SCRATCHPAD.persist("SHRINE3_RESERVOIR2");
	}
	if (reset || typeof(GLOBAL_SCRATCHPAD.check("SHRINE3_RESERVOIR3"))==="undefined"){
		GLOBAL_SCRATCHPAD.note("SHRINE3_RESERVOIR3",8);
		GLOBAL_SCRATCHPAD.persist("SHRINE3_RESERVOIR3");
	}
	if (reset || typeof(GLOBAL_SCRATCHPAD.check("SHRINE3_RESERVOIR_CENTER"))==="undefined"){
		GLOBAL_SCRATCHPAD.note("SHRINE3_RESERVOIR_CENTER",0);
		GLOBAL_SCRATCHPAD.persist("SHRINE3_RESERVOIR_CENTER");
	}
};
